/**********************************************************
*
*	FILE				: main.c
*
*	AUTHOR			: Axiom Manufacturing
*						  Feb 2009    					     
*
*	PURPOSE			: Motor Control Demonstration for HY64 based on 
*						  MC10B8CV1 Motor Controller Block Description
*						  
*	This demo is specifically design for VID23-05 stepper motor.
*  Using a different motor may require code modification.
*
*	This demo moves motor to zero positon then moves pointer thru
*	full motor range in clock-wise (CW) and counter clock-wise (CCW)
*	directions alternately.
* 
**********************************************************/
#include <hidef.h>					// common defines and macros
#include <mc9s12hy64.h>				// derivative information
#include "sci_hc12.h"				// serial COM functions
#include "cpu.h"						// MCU configuration functions
#include "motor_drv.h"				// Motor Controller functions


void main(void) {

	byte n;
	byte dir[] = {CW, CCW};

	
//	ECLKCTL_NECLK = 0;				// turn on ECLK output 
	DisableInterrupts;
	CPMU_PEE_4MHz();					// init clock module 4MHz bus clock
	Init_Timer1();						// init timer1
	Configure_Ports();	
	MC_init();							// init motor controller for VID23-05 motor
	EnableInterrupts;
	MC_zero_pointer();				// motor pointer to zero position
	cur_ptr_pos = 0;					// init pointer position var 
	
	n = 0;								// initial direction CW
	for(;;) {
		MC_step_dir(dir[n]);		
		MC_step(310);
		n ^= 1;
	
	}
}
