#include <hidef.h>					// common defines and macros
#include <mc9s12hy64.h>				// derivative information
//#include "sci_hc12.h"				// serial COM functions
#include "cpu.h"						// MCU configuration functions
//#include "motor_drv.h"				// Motor Controller functions

#define MAX_DEG	320				// max rotation in degrees (0x140)


void main(void) {

	byte dir = 0, idx = 0;
	word num_deg = 0;
		
//	byte st_seq[] = {0x09, 0x08, 0x0E, 0x06, 0x07, 0x01};
//	byte MC_FWD[] = {0x09, 0x08, 0x0E, 0x06, 0x07, 0x01};
//	byte MC_REV[] = {0x01, 0x07, 0x06, 0x0E, 0x08, 0x09};

	byte MC_FWD[] = {0x0E, 0x0A, 0x0B, 0x0D, 0x05, 0x07};
	byte MC_REV[] = {0x07, 0x05, 0x0D, 0x0B, 0x0A, 0x0E};

//	byte MC_FWD[] = {0x0A, 0x0B, 0x0D, 0x05, 0x07, 0x0E};
//	byte MC_REV[] = {0x0E, 0x07, 0x05, 0x0D, 0x0B, 0x0A};
	
	DisableInterrupts;
	
	CPMU_PEE_8MHz();					// init clock module 8MHz bus clock
	Init_Timer1();						// init timer1
	Configure_Ports();	

//	MC_init();							// init motor controller

//	EnableInterrupts;

	PTU = 0x00;
	DDRU = 0x0F;
	
   for(;;){

		for(idx=0; idx<sizeof(MC_FWD); idx++) {
			if(dir)	PTU = MC_REV[idx];
				else	PTU = MC_FWD[idx];
			Delay(1);
		}

		if(dir)	num_deg -= 2;
			else	num_deg += 2;

		if((num_deg == 0) || (num_deg == MAX_DEG)){
			dir ^= 1;			
			Delay(50);
		}
   }
}

